Skip to main content
GET
/
1
/
agents
curl
curl --request GET \
  --url 'https://example.algolia.net/agent-studio/1/agents?page=1&limit=10&providerId=lorem' \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "data": [
    {
      "config": {},
      "createdAt": "<string>",
      "description": "<string>",
      "id": "<string>",
      "instructions": "<string>",
      "lastUsedAt": "<string>",
      "name": "<string>",
      "providerId": "<string>",
      "updatedAt": "<string>",
      "model": "<string>",
      "systemPrompt": "<string>",
      "templateType": "<string>",
      "tools": [
        {
          "description": "<string>",
          "inputSchema": {
            "properties": {},
            "required": [
              "<string>"
            ],
            "type": "object"
          },
          "name": "<string>",
          "type": "client_side"
        }
      ]
    }
  ],
  "pagination": {
    "limit": 123,
    "page": 123,
    "totalCount": 123,
    "totalPages": 123
  }
}
Required ACL: settings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Query Parameters

limit
integer
default:10

Items per page.

Required range: x >= 1
page
integer
default:1

Page number.

Required range: x >= 1
providerId
string | null

Filter by provider id.

Response

Successful Response.

data
agentWithVersionResponse · object[]
required
pagination
paginationMetadata · object
required
Last modified on June 11, 2026